#1448 closed defect (fixed)

Definition of RTEMS_BLKDEV_CAPABILITIES is not in the correct place

Reported by: Oleg Owned by: Chris Johns
Priority: lowest Milestone: 4.10
Component: score Version: 4.10
Severity: trivial Keywords:
Cc: chrisj@…, nbkolchin@…, sebastian.huber@…, Oleg.Kravtsov@… Blocked By:
Blocking:

Description

According to the usage of this request (RTEMS_BLKDEV_CAPABILITIES) this constant should not be defined as one possible value for rtems_blkdev_request_op enumeration, but instead it should be defined as:

#define RTEMS_BLKIO_CAPABILITIES_IO('B', 5)

rtems_blkdev_request_op eumeration specifies sub-requests of RTEMS_BLKIO_REQUEST
request, that means they should be processed on the level of RTEMS_BLKIO_REQUEST, i.e. in switch/if/else statements.

Attachments (1)

rtems_blkdev_capabilities.patch (3.6 KB) - added by Oleg on Oct 8, 2009 at 3:46:36 PM.
Path to fix this bug report

Download all attachments as: .zip

Change History (7)

Changed on Oct 8, 2009 at 3:46:36 PM by Oleg

Path to fix this bug report

comment:1 Changed on Nov 2, 2009 at 8:53:30 AM by Oleg

Cc: Oleg added

comment:2 Changed on Nov 2, 2009 at 8:54:18 AM by Oleg

Cc: Nickolay Semyonov-Kolchin added

comment:3 Changed on Nov 20, 2009 at 8:57:42 AM by Sebastian Huber

Cc: chrisj@… sebastian.huber@… added

comment:4 Changed on Nov 21, 2009 at 12:27:46 AM by Chris Johns

Owner: changed from Joel Sherrill to Chris Johns
Status: newassigned

comment:5 Changed on May 18, 2010 at 1:15:38 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:6 Changed on May 18, 2010 at 1:16:01 AM by Chris Johns

Closed.

Note: See TracTickets for help on using tickets.